summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2016-06-28 23:23:24 +0200
committerChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2016-06-28 23:23:24 +0200
commit587479a0669c3859241b0bcd50ed4fdc2fc3e26f (patch)
treee929cae5d33a4bfa139cb539bee11f493eae77e9 /sys-firmware
parentapp-crypt/libu2f-host: add ~x86 keyword #58698 (diff)
downloadgentoo-587479a0669c3859241b0bcd50ed4fdc2fc3e26f.tar.gz
gentoo-587479a0669c3859241b0bcd50ed4fdc2fc3e26f.tar.bz2
gentoo-587479a0669c3859241b0bcd50ed4fdc2fc3e26f.zip
sys-firmware/amdgpu-ucode: update snapshot to 20160628
Package-Manager: portage-2.2.28
Diffstat (limited to 'sys-firmware')
-rw-r--r--sys-firmware/amdgpu-ucode/Manifest2
-rw-r--r--sys-firmware/amdgpu-ucode/amdgpu-ucode-20160628.ebuild56
2 files changed, 58 insertions, 0 deletions
diff --git a/sys-firmware/amdgpu-ucode/Manifest b/sys-firmware/amdgpu-ucode/Manifest
index 5aa0761cd8d..9a22741315e 100644
--- a/sys-firmware/amdgpu-ucode/Manifest
+++ b/sys-firmware/amdgpu-ucode/Manifest
@@ -1,4 +1,6 @@
DIST amdgpu-ucode-20160331.tar.xz 779248 SHA256 6d97d79b10c46ab6a4dda7fafb1d6d230851cc3ffeb3904007015ee29b7b5c4c SHA512 c8375adcb80d4d0ffc0ebaf5350c7f738d246287f431146638e12541c24b115b604116b16e86a1f63237b2cc8420c6be7e91326b3607a0b3c1cefbd8f3202915 WHIRLPOOL 5d580f62740bbd602ea12a37a88dc2ff3409d329d6c80d3fb9420001732eeba79a5d016ed7571109753ae95538f33e7cd01de94d695ecd11a4d88ebea74cc872
DIST amdgpu-ucode-20160616.tar.xz 781716 SHA256 7362c71f113335883aa04b01fd4472d158eca653111fba9c60de5f224e93bcf8 SHA512 cbb138522e02a20ded2406837e7a70ac4287a10c051dad617818177397a8090345ee7faf4670211b2f07ce4e47a7dbeaee6ed255633a2a89e39ad19399886717 WHIRLPOOL 8248c786bcfefaa0c37bee94b900da7136cef55f60edea6e71220e15faf561ff707e9bff1b2df23a213296548cfe2e9e943be948259e93e6c563954e4007fa19
+DIST amdgpu-ucode-20160628.tar.xz 788428 SHA256 7a864a14bedda9a8c6833076afe7070f7d61b9e6288a71ce4f80ce561ae02bd3 SHA512 7a7a50660b8b9c9d4547fa4fcdfd47cf8b55e258ae1ff5900370be0fd2669d4feeb6565f33704d7ed4a171b05ee1bd6e137d14afff091e170514b1bb4984cc8a WHIRLPOOL 0f48ddecf4ab2d4bd9d6307d2afba5b8844cba41bcbddcbe221c403593bc1f73c2586115880ed44b29abc2e1759309f68214cd651fcf4c5f60d8ca4722bf0fc7
DIST radeon-ucode-20160331.tar.xz 850404 SHA256 e8641c5d2fb69b24609d4915625083bae912a683514157af73db9363154debef SHA512 d8abc4507798a636f6bb54ae9f76a9a378079d3179b83bbe1540a633d5445a45400ba6a9f460e24a05dcaf1fb6ee66334cddb01cb39f4e59aa969a246510e4eb WHIRLPOOL 63af735154cbe017baf01b36aef9b98a6a6733f116fee0a898c5e5546a1ee8830b752b69e12ba49bebbd41143339520e0afd3905b41039e6b323f247c2521374
DIST radeon-ucode-20160616.tar.xz 813488 SHA256 ea535c05977ea8f1eecbac56e5bfeaa314d2440edf7844311d57b74b3033e5e1 SHA512 7851ba368722fc5f567a6a5d0d489e86469b6ec1f1a1dc3b60184af2cf0a094c1fa34a456d486694184d05cfffce43fc511a460d402e317f313a91832f9d854c WHIRLPOOL 995262f84ae033daf69d96cd26f50027b57f80e5621aed4b44ea944b5b441278a97876543e26c20cfaf82975c5212612e7a1ff31be740974dc7bc42495a048f7
+DIST radeon-ucode-20160628.tar.xz 831920 SHA256 342827150d83e2e986e1673dbddb8bf7c63008ae9525de15dfc2284845594a30 SHA512 7ecad7f3c7c734b04a9bf4d01cd7436298ac397fecc97bc0a27d10d26b2c1ee07e5c8428f4ad75dd15aec297a3e15f6c8cc9c227dbb5b6a58a5d9a541d59340e WHIRLPOOL bd1b672eb34853d2fb4c97baf39413bc648584d287bd46a51ae81aaba43faca5702d04a921c798ee6f0f91f5b98a971882f10bb70499c574af3ccfa94796523b
diff --git a/sys-firmware/amdgpu-ucode/amdgpu-ucode-20160628.ebuild b/sys-firmware/amdgpu-ucode/amdgpu-ucode-20160628.ebuild
new file mode 100644
index 00000000000..0779d9b63b1
--- /dev/null
+++ b/sys-firmware/amdgpu-ucode/amdgpu-ucode-20160628.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit linux-info
+
+DESCRIPTION="Microcode for C.Islands/V.Islands/A.Islands Radeon GPUs and APUs"
+HOMEPAGE="https://people.freedesktop.org/~agd5f/radeon_ucode/"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+ legacy? ( mirror://gentoo/${P/amdgpu/radeon}.tar.xz )"
+
+LICENSE="radeon-ucode"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="legacy"
+
+RDEPEND="legacy? ( !sys-firmware/radeon-ucode )
+ !>sys-kernel/linux-firmware-20150812[-savedconfig]"
+
+S=${WORKDIR}/amdgpu
+
+AMDGPU_LEGACY_CIK="bonaire hawaii kabini kaveri mullins"
+
+src_install() {
+ local chip files legacyfiles
+ if use legacy; then
+ pushd ../radeon || die
+ for chip in ${AMDGPU_LEGACY_CIK}; do
+ legacyfiles+=( ${chip}*.bin )
+ done
+ insinto /lib/firmware/radeon
+ doins ${legacyfiles[@]}
+ popd
+ fi
+ files=( *.bin )
+ insinto /lib/firmware/amdgpu
+ doins ${files[@]}
+ FILES=( ${files[@]/#/amdgpu/} ${legacyfiles[@]/#/radeon/} )
+}
+
+pkg_postinst() {
+ if linux_config_exists && linux_chkconfig_builtin DRM_AMDGPU; then
+ if ! linux_chkconfig_present FIRMWARE_IN_KERNEL || \
+ ! [[ "$(linux_chkconfig_string EXTRA_FIRMWARE)" == *_rlc.bin* ]]; then
+ ewarn "Your kernel has amdgpu DRM built-in but not the microcode."
+ ewarn "For kernel modesetting to work, please set in kernel config"
+ ewarn "CONFIG_FIRMWARE_IN_KERNEL=y"
+ ewarn "CONFIG_EXTRA_FIRMWARE_DIR=\"/lib/firmware\""
+ ewarn "CONFIG_EXTRA_FIRMWARE=\"${FILES[@]}\""
+ ewarn "You may skip microcode files for which no hardware is installed."
+ ewarn "More information at https://wiki.gentoo.org/wiki/AMDGPU#Firmware"
+ fi
+ fi
+}